> For the complete documentation index, see [llms.txt](https://docs.globo.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globo.io/pre-order/app-api/rest-api/coming-soon/get-list-rule.md).

# \[GET] List rule

### \* Authentication&#x20;

<mark style="color:red;">Required</mark> `Authorization`

Limit  `throttle:30,1`

### Request

Retrieve the shop's Back In Stock (BIS) submission list, with pagination.

Endpoint <mark style="background-color:green;">\[GET]</mark> - `/shop-api/back-in-stock/list?page=1`

| Params | Type   | Required |
| ------ | ------ | -------- |
| page   | number | `no`     |

{% tabs %}
{% tab title="HTTP" %}

```http
GET /shop-api/coming-soon/list?page=1 HTTP/1.1
Host: preorder.globo.io
Authorization: ************
```

{% endtab %}

{% tab title="Javascript" %}

```js
const myHeaders = new Headers();
myHeaders.append("Authorization", "************");
const requestOptions = {
  method: "GET",
  headers: myHeaders,
  redirect: "follow"
};
fetch("https://preorder.globo.io/shop-api/coming-soon/list?page=1", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

{% endtab %}

{% tab title="PHP" %}

<pre class="language-php"><code class="lang-php">$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://preorder.globo.io/shop-api/coming-soon/list?page=1',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
<strong>    'Authorization: ************'
</strong>  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
</code></pre>

{% endtab %}
{% endtabs %}

#### Success response `200`

```json
{
  "success": true,
  "data": [
    {
      "id": 1, // Unique coming soon rule ID
      "name": "Summer Launch", // Name rule coming soon
      "start_date": "2026-07-01T00:00:00.000000Z", // Start date (nullable)
      "end_date": "2026-08-01T00:00:00.000000Z", // End date (nullable)
      "show_countdown": true, // true | false => show countdown timer
      "apply_to": "variant", // "all" | "product" | "variant" | "collection" — rule apply to
      "product_ids": [1234567890], // Array Shopify product IDs when apply_to="product" (nullable)
      "variant_ids": [9876543210], // Array Shopify variant IDs when apply_to="variant" (nullable)
      "collection_id": null, // Shopify collection ID when apply_to="collection" (nullable)
      "status": true, // true => active, false => inactive
      "created_at": "2026-07-01T10:00:00.000000Z",
      "updated_at": "2026-07-03T10:00:00.000000Z"
    }
  ],
  "pagination": {
    "total": 25, 
    "per_page": 10,
    "current_page": 1,
    "last_page": 3,
    "from": 1,
    "to": 10
  }
}
```

**Failed**

```json5
{
    "success" => false, 
    "message" => "Something went wrong"
}
```
